> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sprinter.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Protocol Configuration

> Returns the credit protocol configuration including credit hubs and assets

<Info>
  Chains are identified using **CAIP-2 format**: `eip155:<chainId>`. For example, `eip155:8453` is Base and `eip155:1` is Ethereum. See [Supported Chains](/sprinter-credit/overview#supported-chains) for the full list.
</Info>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sprinter.tech/credit/protocol'
  ```

  ```python Python theme={null}
  import requests

  response = requests.get("https://api.sprinter.tech/credit/protocol")
  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://api.sprinter.tech/credit/protocol"
  );
  const data = await response.json();
  console.log(data);
  ```

  ```go Go theme={null}
  package main

  import (
  	"fmt"
  	"io"
  	"net/http"
  )

  func main() {
  	resp, _ := http.Get("https://api.sprinter.tech/credit/protocol")
  	defer resp.Body.Close()
  	body, _ := io.ReadAll(resp.Body)
  	fmt.Println(string(body))
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "chains": {
      "eip155:8453": {
        "creditHubs": {
          "usdc": {
            "creditHubAddress": "0xb5cf2A13E9aaE413E788379966727...",
            "creditHubControllerAddress": "0x748721356a7f7Fcff6C...",
            "assetAddress": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913"
          }
        },
        "collateral": {
          "erc20:0x833589fcd6edb6e08f4c7c32d4f71b54bda02913": {
            "escrowAddress": "0xf8610910cc80568537C83BC48a3471c2...",
            "symbol": "USDC",
            "ltv": "8000",
            "strategy": "gauntlet-usdc-prime"
          },
          "erc20:0x4200000000000000000000000000000000000006": {
            "escrowAddress": "0xaBcD1234567890AbCdEf1234567890Ab...",
            "symbol": "WETH",
            "ltv": "7000",
            "strategy": "yo-eth"
          }
        },
        "strategies": {
          "gauntlet-usdc-prime": {
            "name": "Gauntlet USDC Prime",
            "curator": "Gauntlet",
            "protocol": "morpho-v1",
            "vaultAddress": "0xeE8F4eC5672F09119b96Ab6fB59C27E1b7e44b61",
            "underlyingAddress": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
            "vaultType": "erc4626",
            "type": "Lending",
            "riskScore": "3"
          },
          "yo-eth": {
            "name": "YO ETH Yield",
            "curator": "Yo",
            "protocol": "yo-protocol",
            "vaultAddress": "0xYoEthVault1234567890AbCdEf123456...",
            "underlyingAddress": "0x4200000000000000000000000000000000000006",
            "vaultType": "erc4626",
            "type": "Lending",
            "riskScore": "5"
          }
        },
        "escrowsMetadata": {
          "controller": "0xEscrowCtrl234567890AbCdEf123456...",
          "helper": "0xEscrowHelp234567890AbCdEf123456..."
        },
        "wrappedNativeAddress": "0x4200000000000000000000000000000000000006"
      }
    }
  }
  ```
</ResponseExample>

<Tip>
  **Machine-readable API spec:** [OpenAPI JSON](https://api.sprinter.tech/swagger/doc.json) | [Swagger UI](https://api.sprinter.tech/swagger/index.html)
</Tip>


## OpenAPI

````yaml get /credit/protocol
openapi: 3.0.0
info:
  contact: {}
  title: ''
  version: 0.0.1
servers:
  - url: https://api.sprinter.tech
    description: Production server
security: []
paths:
  /credit/protocol:
    get:
      tags:
        - Credit
      summary: Get credit protocol configuration
      description: >-
        Returns the credit protocol configuration including credit hubs and
        assets
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/config.CreditProtocolConfig'
        '401':
          description: Unauthorized - invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responses.ErrorResponse'
components:
  schemas:
    config.CreditProtocolConfig:
      type: object
      required:
        - chains
      properties:
        chains:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/config.ChainConfig'
    responses.ErrorResponse:
      type: object
      required:
        - error
      properties:
        debug:
          type: string
        error:
          type: string
    config.ChainConfig:
      type: object
      required:
        - collateral
        - creditHubs
        - escrowsMetadata
        - strategies
        - wrappedNativeAddress
      properties:
        collateral:
          description: Asset collateral info per asset ID
          type: object
          additionalProperties:
            $ref: '#/components/schemas/config.CollateralDetails'
        creditHubs:
          description: Credit hub info per token symbol
          type: object
          additionalProperties:
            $ref: '#/components/schemas/config.CreditHubInfo'
        escrowsMetadata:
          description: Escrow metadata for the chain
          allOf:
            - $ref: '#/components/schemas/config.EscrowsMetadata'
        strategies:
          description: Earn vault strategies keyed by strategy name
          type: object
          additionalProperties:
            $ref: '#/components/schemas/config.EarnVaultMetadata'
        wrappedNativeAddress:
          description: >-
            Wrapped native token address (e.g., WETH). Zero value means native
            wrapping is not supported.
          type: string
          example: '0x4200000000000000000000000000000000000006'
    config.CollateralDetails:
      type: object
      required:
        - escrowAddress
        - ltv
        - strategy
        - symbol
      properties:
        escrowAddress:
          type: string
          example: '0xfedcba0987654321fedcba0987654321fedcba09'
        ltv:
          type: string
          example: '12343'
        strategy:
          allOf:
            - $ref: '#/components/schemas/entity.EarnStrategy'
          example: gauntlet-usdc-prime
        symbol:
          allOf:
            - $ref: '#/components/schemas/entity.TokenSymbol'
          example: USDC
    config.CreditHubInfo:
      type: object
      required:
        - assetAddress
        - creditHubAddress
        - creditHubControllerAddress
      properties:
        assetAddress:
          type: string
          example: '0xabcdef1234567890abcdef1234567890abcdef12'
        creditHubAddress:
          description: Credit hub contract address
          type: string
          example: '0x1234567890abcdef1234567890abcdef12345678'
        creditHubControllerAddress:
          description: Credit hub controller contract address
          type: string
          example: '0xabcdef1234567890abcdef1234567890abcdef12'
    config.EscrowsMetadata:
      type: object
      required:
        - controller
        - helper
      properties:
        controller:
          description: Escrow controller contract address
          type: string
          example: '0xabcdef1234567890abcdef1234567890abcdef12'
        helper:
          description: Escrow helper contract address
          type: string
          example: '0xabcdef1234567890abcdef1234567890abcdef12'
    config.EarnVaultMetadata:
      type: object
      required:
        - curator
        - name
        - protocol
        - riskScore
        - type
        - underlyingAddress
        - vaultAddress
        - vaultType
      properties:
        curator:
          description: Curator implementation type (e.g., "Gauntlet", "Yo")
          allOf:
            - $ref: '#/components/schemas/entity.Curator'
          example: Gauntlet
        name:
          description: Earn vault name (e.g., "Gauntlet USDC Prime")
          type: string
          example: Gauntlet USDC Prime
        protocol:
          description: Protocol implementation type (e.g., "morpho-v1", "aave-v3")
          allOf:
            - $ref: '#/components/schemas/entity.Strategy'
          example: morpho-v1
        riskScore:
          description: RiskScore indicates the strategy's risk level (0–10 scale)
          allOf:
            - $ref: '#/components/schemas/entity.RiskScore'
          example: '5'
        type:
          description: Type is strategy type (e.g., "Lending")
          allOf:
            - $ref: '#/components/schemas/entity.StrategyType'
          example: Lending
        underlyingAddress:
          description: Underlying asset address (e.g., USDC)
          type: string
          example: '0x0000000000000000000000000000000000000000'
        vaultAddress:
          description: Earn vault contract address
          type: string
          example: '0x0000000000000000000000000000000000000000'
        vaultType:
          description: Earn vault type
          allOf:
            - $ref: '#/components/schemas/entity.VaultType'
          example: erc4626
    entity.EarnStrategy:
      type: string
      enum:
        - gauntlet-usdc-prime
        - yo-eth
        - yo-btc
        - yo-usdc
        - superform-usdc
        - ''
      x-enum-varnames:
        - StrategyGauntletUSDCPrime
        - StrategyYoETH
        - StrategyYoBTC
        - StrategyYoUSDC
        - StrategySuperformUSDC
        - StrategyNone
    entity.TokenSymbol:
      type: string
      enum:
        - usdc
        - usdt
        - frxusd
        - liquidusd
        - liquidreserve
      x-enum-varnames:
        - TokenUSDC
        - TokenUSDT
        - TokenFrxUSD
        - TokenLiquidUSD
        - TokenLiquidReserve
    entity.Curator:
      type: string
      enum:
        - Gauntlet
        - Yo
        - Superform
      x-enum-varnames:
        - Gauntlet
        - Yo
        - Superform
    entity.Strategy:
      type: string
      enum:
        - morpho-v1
        - yo-protocol
        - superform
      x-enum-varnames:
        - MorphoV1
        - YoProtocol
        - SuperformProtocol
    entity.RiskScore:
      type: string
      enum:
        - '1'
        - '3'
        - '5'
        - '7'
        - '10'
      x-enum-varnames:
        - VeryLow
        - Low
        - Medium
        - High
        - VeryHigh
    entity.StrategyType:
      type: string
      enum:
        - Lending
      x-enum-varnames:
        - Lending
    entity.VaultType:
      type: string
      enum:
        - erc4626
        - erc7540
      x-enum-varnames:
        - ERC4626
        - ERC7540

````